Bug 39770 - [Qt] PlatformKeyboardEventQt.cpp has coding-style errors
Summary: [Qt] PlatformKeyboardEventQt.cpp has coding-style errors
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Qt (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Normal
Assignee: Nobody
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks:
 
Reported: 2010-05-26 13:32 PDT by Anders Bakken
Modified: 2010-06-05 03:00 PDT (History)
3 users (show)

See Also:


Attachments
Patch that fixes the coding style issues (35.45 KB, patch)
2010-05-26 14:38 PDT, Anders Bakken
no flags Details | Formatted Diff | Diff
Patch (35.60 KB, patch)
2010-06-04 18:52 PDT, Anders Bakken
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anders Bakken 2010-05-26 13:32:51 PDT
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:36:  Alphabetical sorting problem.  [build/include_order] [4]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:43:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:147:  One space before end of line comments  [whitespace/comments] [5]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:149:  One space before end of line comments  [whitespace/comments] [5]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:153:  One space before end of line comments  [whitespace/comments] [5]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:155:  One space before end of line comments  [whitespace/comments] [5]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:157:  One space before end of line comments  [whitespace/comments] [5]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:159:  One space before end of line comments  [whitespace/comments] [5]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:161:  One space before end of line comments  [whitespace/comments] [5]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:163:  One space before end of line comments  [whitespace/comments] [5]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:165:  One space before end of line comments  [whitespace/comments] [5]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:169:  One space before end of line comments  [whitespace/comments] [5]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:173:  One space before end of line comments  [whitespace/comments] [5]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:175:  One space before end of line comments  [whitespace/comments] [5]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:199:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:208:  Should have a space between // and comment  [whitespace/comments] [4]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:310:  One space before end of line comments  [whitespace/comments] [5]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:311:  Should have a space between // and comment  [whitespace/comments] [4]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:312:  Should have a space between // and comment  [whitespace/comments] [4]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:322:  One space before end of line comments  [whitespace/comments] [5]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:330:  Should have a space between // and comment  [whitespace/comments] [4]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:403:  Should have a space between // and comment  [whitespace/comments] [4]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:447:  Should have a space between // and comment  [whitespace/comments] [4]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:451:  Should have a space between // and comment  [whitespace/comments] [4]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:455:  Should have a space between // and comment  [whitespace/comments] [4]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:459:  Should have a space between // and comment  [whitespace/comments] [4]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:463:  Should have a space between // and comment  [whitespace/comments] [4]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:467:  Should have a space between // and comment  [whitespace/comments] [4]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:471:  Should have a space between // and comment  [whitespace/comments] [4]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:475:  Should have a space between // and comment  [whitespace/comments] [4]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:479:  Should have a space between // and comment  [whitespace/comments] [4]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:514:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:515:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:516:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:517:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
WebCore/platform/qt/PlatformKeyboardEventQt.cpp:520:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
Total errors found: 36 in 1 files
Comment 1 Anders Bakken 2010-05-26 14:38:18 PDT
Created attachment 57150 [details]
Patch that fixes the coding style issues
Comment 2 Petri Ojala 2010-05-26 21:47:25 PDT
QtTriaged
Comment 3 David Levin 2010-05-27 11:17:34 PDT
Comment on attachment 57150 [details]
Patch that fixes the coding style issues

>   No new tests. (OOPS!)
Ditto.
Comment 4 Anders Bakken 2010-06-04 18:52:02 PDT
Created attachment 57945 [details]
Patch
Comment 5 Eric Seidel (no email) 2010-06-04 22:05:26 PDT
Comment on attachment 57945 [details]
Patch

We should fix this to be a hash lookup with some nicer cleaner definition syntax.
Comment 6 WebKit Commit Bot 2010-06-05 03:00:13 PDT
Comment on attachment 57945 [details]
Patch

Clearing flags on attachment: 57945

Committed r60744: <http://trac.webkit.org/changeset/60744>
Comment 7 WebKit Commit Bot 2010-06-05 03:00:19 PDT
All reviewed patches have been landed.  Closing bug.